angular.module('admin')
.controller('OrderListController', function($scope, $http, $route, $window){
  $scope.orders = [];
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestOrder();
  };

  $scope.requestOrder = function(){
    $http.get('../../api/cvto/orders')
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível listar os seus sellers';
    });
  };
})
.controller('OrderIdController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = {};
  $scope.mensagem = '';
  $scope.item = [];
  $scope.name = $window.sessionStorage.name;

  if ($routeParams.orderId) {
    $http.get('../../api/cvto/orders/'+$routeParams.orderId)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações da venda';
    })

  }

  $scope.inicio = function(){
    $scope.items();
  };

  $scope.items = function(){
    $http.get('../../api/cvto/items/'+$routeParams.orderId)
    .success(function(item){
      $scope.item = item;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações dos itens da venda';
    })
  }

})
